| Home | Libraries | People | FAQ | More

## Struct template greater_equal

boost::proto::greater_equal — A metafunction for generating greater-or-equal expression types, a grammar element for matching greater-or-equal expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct greater_equal :  proto::transform< greater_equal<T, U> > {
      // types
      typedef proto::expr< proto::tag::greater_equal, proto::list2< T, U > > type;
      typedef type                                                           proto_base_expr;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<greater_equal>::template impl<Expr, State, Data>
      {
      };
    };

## Description